SOLIDWORKS API Object Model class hierarchy diagram

Edit ArticleEdit Article

Diagram below displays the relationship between interfaces in the SOLIDWORKS API Object model. This is not a complete class hierarchy rather the representation of the mostly commonly used methods and interfaces.

Diagram is interactive, it is possible to zoom in and zoom out with mouse wheel as well as pan with right or left mouse button. Navigation control in the bottom right corner allows to zoom in and zoom out as well as zoom to fit

Control Box
Control Box

All boxes and arrows are clickable and will redirect for the information page about particular method, property or interface.

Open Link
Open Link

OpenDoc6
OpenDoc6
ActiveDoc
ActiveDoc
ISldWorks
ISldWorks
SketchManager
SketchManager
SelectionManager
SelectionManager
FirstFeature
FirstFeature
Parameter
Parameter
Extension
Extension
IModelDoc2
IModelDoc2
IPartDoc
IPartDoc
IAssemblyDoc
IAssemblyDoc<br>
IDrawingDoc
IDrawingDoc
IEntity
IEntity
GetSurface
GetSurface
IFace2
IFace2
GetCurve
GetCurve
IEdge
IEdge
ILoop2
ILoop2
IVertex
IVertex
GetSpecificFeature2
GetSpecificFeature2
GetDefinition
GetDefinition
IFeature
IFeature
ISketchSegment
ISketchSegment
ISketchLine
ISketchLine
ISketchArc
ISketchArc
ISketchSpline
ISketchSpline
ISketchEllipse
ISketchEllipse
ISketchParabola
ISketchParabola
GetSketchSegments
GetSketchSegments
ISketch
ISketch
IRefPlane
IRefPlane
IAttribute
IAttribute<br>
IMate2
IMate2<br>
...
[Not supported by viewer]
ActiveSketch
ActiveSketch
ISketchManager
ISketchManager
IExtrudeFeatureData2
IExtrudeFeatureData2
ILoftFeatureData
ILoftFeatureData
IRefPlaneFeatureData
IRefPlaneFeatureData
IScaleFeatureData
IScaleFeatureData
...FeatureData
...FeatureData<br>
swApp variable in VSTA
swApp variable in VSTA
Application.SldWorks in VBA
Application.SldWorks in VBA
ConnectToSw in add-in
ConnectToSw in add-in
GetObject in stand-alone
GetObject in stand-alone
Initialization
Initialization
GetSpecificAnnotation
GetSpecificAnnotation
IAnnotation
IAnnotation
GetAnnotation
GetAnnotation
INote
INote
IWeldSymbol
IWeldSymbol
ICThread
ICThread
IRevisionCloud
IRevisionCloud
...
[Not supported by viewer]
ITableAnnotation
ITableAnnotation
IBomTableAnnotation
IBomTableAnnotation
IGeneralTableAnnotation
IGeneralTableAnnotation
IRevisionTableAnnotation
IRevisionTableAnnotation
IHoleTableAnnotation
IHoleTableAnnotation
...TableAnnotation
[Not supported by viewer]
GetSelectedObject6
GetSelectedObject6
ISelectionMgr
ISelectionMgr
Selection
Selection
GetDimension2
GetDimension2
IDisplayDimension
IDisplayDimension
IDimension
IDimension
ISurface
ISurface
ICurve
ICurve
IModelDocExtension
IModelDocExtension

Legend

Initialize Represents the entry point of the program. This could be a constructor of the class, connection method, macro entry point

Interface Box Represents the interface (object) of the SOLIDWORKS API

Casting Represents the relation between interfaces via direct casting (Query Interface)

Method or Property Represents the relation between interface via method or property

Group Represents a group of interfaces

Selection Interface Box Represents an interface which is a selectable object in SOLIDWORKS User Interface

Selection Box Represents the placeholder for all selectable objects (i.e. the interfaces with blue background)

Etc. Box Represents the placeholder for other interface which are part of this group

Etc. Box with wildcard Represents the placeholder for other interfaces which are part of this group. Interfaces name will match the wildcard


Product of Xarial Product of Xarial